Skip to content
V2 (Legacy) API ReferenceGet started

Mark chat as read

POST/v3/chats/{chatId}/read

Mark all messages in a chat as read.

Path ParametersExpand Collapse
chatId: string
formatuuid

Mark chat as read

curl https://api.linqapp.com/api/partner/v3/chats/$CHAT_ID/read \
    -X POST \
    -H "Authorization: Bearer $LINQ_API_V3_API_KEY"
{
  "error": {
    "status": 401,
    "code": 2004,
    "message": "Unauthorized - missing or invalid authentication token"
  },
  "success": false
}
{
  "error": {
    "status": 404,
    "code": 2001,
    "message": "Resource not found"
  },
  "success": false
}
{
  "error": {
    "status": 500,
    "code": 3006,
    "message": "Internal server error"
  },
  "success": false
}
Returns Examples
{
  "error": {
    "status": 401,
    "code": 2004,
    "message": "Unauthorized - missing or invalid authentication token"
  },
  "success": false
}
{
  "error": {
    "status": 404,
    "code": 2001,
    "message": "Resource not found"
  },
  "success": false
}
{
  "error": {
    "status": 500,
    "code": 3006,
    "message": "Internal server error"
  },
  "success": false
}